- 积分
- 10513
- 明经币
- 个
- 注册时间
- 2002-6-3
- 在线时间
- 小时
- 威望
-
- 金钱
- 个
- 贡献
-
- 激情
-
|
发表于 2003-5-24 23:09:00
|
显示全部楼层
使用AD读取数据库的数据,然后使用AutoCAD的VBA绘制图形。
本帖最后由 efan2000 于 2003-5-24 23:09:28 编辑
Public Sub Example_ADO()
Dim cnn As ADODB.Connection
Set cnn = New ADODB.Connection
' 打开连接
cnn.ConnectionString = "rovider=Microsoft.Jet.OLEDB.3.51;Data Source=c:\MyDb.mdb;"
cnn.Open
Dim rst As ADODB.Recordset
Set rst = New ADODB.Recordset
' 打开表
rst.Open "employee", cnn, adOpenKeyset, adLockOptimistic, adCmdTable
Dim plineObj As AcadLWPolyline
Dim points(0 To 5) As Double
Do While Not rst.EOF
' 定义二维多段线的点
points(0) = rst.Fields(0).Value: points(1) = rst.Fields(1).Value
points(2) = rst.Fields(2).Value: points(3) = rst.Fields(3).Value
points(4) = rst.Fields(4).Value: points(5) = rst.Fields(5).Value
' 在模型空间中创建一个优化多段线对象
Set plineObj = ThisDrawing.ModelSpace.AddLightWeightPolyline(points)
Loop
rst.Close
cnn.Close
End Sub |
|